Documentation Index
Fetch the complete documentation index at: https://docs.ganntec.com/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
Leaderboard timeframe: all_time, monthly, or weekly
Number of entries to return (max 100)
Response
Array of leaderboard entries
User’s rank on the leaderboard
User’s tier (bronze, silver, gold, platinum)
Number of successful referrals
Current user’s rank (if authenticated)
GET /api/waitlist/v2/leaderboard?timeframe=weekly&limit=10
Authorization: Bearer <token>
{
"success": true,
"data": {
"leaderboard": [
{
"rank": 1,
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"handle": "cryptoking",
"tier": "platinum"
},
"score": 15420,
"referrals": 45
},
{
"rank": 2,
"user": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"handle": "moonwalker",
"tier": "gold"
},
"score": 12350,
"referrals": 32
}
],
"userRank": 15
}
}